## ros-melodic-mbf-utility 0.3.4

=== debian/changelog ===
ros-melodic-mbf-utility (0.3.4-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 01 Dec 2020 23:00:00 -0000

ros-melodic-mbf-utility (0.3.3-1stretch) stretch; urgency=high

  * fix controller fails if robot pose gets older than tf_timeout
  * Make reference symbol position consistent across the project
  * Move RobotInformation to mbf_utility, as it can be used generally

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 04 Nov 2020 23:00:00 -0000

ros-melodic-mbf-utility (0.3.2-1stretch) stretch; urgency=high

  * Remove dependency on base_local_planner and move FootprintHelper class to mbf_costmap_nav and make it static

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-mbf-utility (0.3.1-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Mon, 06 Apr 2020 22:00:00 -0000

ros-melodic-mbf-utility (0.3.0-1stretch) stretch; urgency=high

  * Add exception classes for get_path, exe_path and recovery
  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 30 Mar 2020 22:00:00 -0000

ros-melodic-mbf-utility (0.2.5-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Thu, 10 Oct 2019 22:00:00 -0000

ros-melodic-mbf-utility (0.2.4-1stretch) stretch; urgency=high

  * Add check_point_cost service

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 15 Jun 2019 22:00:00 -0000

ros-melodic-mbf-utility (0.2.3-1stretch) stretch; urgency=high

  * Fix getRobotPose in melodic

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 13 Nov 2018 23:00:00 -0000

ros-melodic-mbf-utility (0.2.2-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 09 Oct 2018 22:00:00 -0000

ros-melodic-mbf-utility (0.2.1-1stretch) stretch; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 02 Oct 2018 22:00:00 -0000

ros-melodic-mbf-utility (0.2.0-1stretch) stretch; urgency=high

  * Update copyright and 3-clause-BSD license

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 10 Sep 2018 22:00:00 -0000

ros-melodic-mbf-utility (0.1.0-1stretch) stretch; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 21 Mar 2018 23:00:00 -0000

## ros-melodic-mbf-utility 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mbf_utility)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  roscpp
  tf
  tf2
  tf2_ros
  tf2_geometry_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES mbf_utility
  CATKIN_DEPENDS geometry_msgs roscpp tf tf2 tf2_ros tf2_geometry_msgs
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
   src/navigation_utility.cpp
   src/robot_information.cpp
)

add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-melodic-mbf-utility (0.4.0-1bionic) bionic; urgency=high

  * return empty footprint if partly outside of the map, see #272

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 25 Oct 2021 22:00:00 -0000

ros-melodic-mbf-utility (0.3.4-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 01 Dec 2020 23:00:00 -0000

ros-melodic-mbf-utility (0.3.3-1bionic) bionic; urgency=high

  * fix controller fails if robot pose gets older than tf_timeout
  * Make reference symbol position consistent across the project
  * Move RobotInformation to mbf_utility, as it can be used generally

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 04 Nov 2020 23:00:00 -0000

ros-melodic-mbf-utility (0.3.2-1bionic) bionic; urgency=high

  * Remove dependency on base_local_planner and move FootprintHelper class to mbf_costmap_nav and make it static

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-mbf-utility (0.3.1-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Mon, 06 Apr 2020 22:00:00 -0000

ros-melodic-mbf-utility (0.3.0-1bionic) bionic; urgency=high

  * Add exception classes for get_path, exe_path and recovery
  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 30 Mar 2020 22:00:00 -0000

ros-melodic-mbf-utility (0.2.5-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Thu, 10 Oct 2019 22:00:00 -0000

ros-melodic-mbf-utility (0.2.4-1bionic) bionic; urgency=high

  * Add check_point_cost service

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 15 Jun 2019 22:00:00 -0000

ros-melodic-mbf-utility (0.2.3-1bionic) bionic; urgency=high

  * Fix getRobotPose in melodic

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 13 Nov 2018 23:00:00 -0000

ros-melodic-mbf-utility (0.2.2-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 09 Oct 2018 22:00:00 -0000

ros-melodic-mbf-utility (0.2.1-1bionic) bionic; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 02 Oct 2018 22:00:00 -0000

ros-melodic-mbf-utility (0.2.0-1bionic) bionic; urgency=high

  * Update copyright and 3-clause-BSD license

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 10 Sep 2018 22:00:00 -0000

ros-melodic-mbf-utility (0.1.0-1bionic) bionic; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 21 Mar 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-mbf-utility
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Homepage: http://wiki.ros.org/move_base_flex/mbf_utility
Standards-Version: 3.9.2

Package: ros-melodic-mbf-utility
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Description: The mbf_utility package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mbf-utility//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
